<template>
  <ck-taskbar>
    <template #right>
      <v-btn-group
        class="ma-2"
        divided
      >
        <v-btn
          :color="useModesStore().mainMode === 'EDIT' ? 'primary': ''"
          @click="useModesStore().setToEditing()"
        ><v-icon>mdi-pencil</v-icon></v-btn>
        <v-btn
          :color="useModesStore().mainMode === 'HYBRID' ? 'primary': ''"
          @click="useModesStore().setToHybrid()"
        ><v-icon>mdi-circle-medium</v-icon></v-btn>
        <v-btn
          :color="useModesStore().mainMode === 'VIEWING' ? 'primary': ''"
          @click="useModesStore().setToViewing()"
        ><v-icon>mdi-eye</v-icon></v-btn>
      </v-btn-group>
    </template>
  </ck-taskbar>
  <v-container v-if="loaded">
    <v-row justify="center" align="start">
      <v-col class="pa-0 pa-md-0">
        <ck-item-collection :collection-id="checklist.itemCollectionId" :checklist-id="checklistId">
          <template #title>
            {{ checklist.titre }}
          </template>
        </ck-item-collection>
      </v-col>
      <router-view :key="$route.fullPath" :itemIndexStart="checklist.nbItems"/>
    </v-row>
  </v-container>
</template>

<script>
import { mapState } from 'pinia'
import { useChecklistStore } from '@/stores/checklists.js'
import CkItemCollection from '@/components/item-collection/ck-item-collection.vue'
import CkTaskbar from '@/components/commons/ck-taskbar.vue'
import { useModesStore } from '@/stores/modes.js'

export default {
  methods: { useModesStore },
  components: {
    CkTaskbar,
    CkItemCollection
  },
  data() {
    return {
      loaded: false,
    }
  },
  props: {
    checklistId: {
      type: String
    }
  },
  computed: {
    ...mapState(useChecklistStore, {
      getByChecklistId: 'getByChecklistId',
    }),
    checklist() {
      return this.getByChecklistId(this.checklistId)
    },
  },
  created() {
    useChecklistStore().fetchChecklists().then(() => this.loaded = true)
  },

}
</script>

<style lang="scss" scoped>

</style>